Bug 227217 - Add helpers to create Spans from CFDataRef and NSData
Summary: Add helpers to create Spans from CFDataRef and NSData
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sam Weinig
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-06-21 08:49 PDT by Sam Weinig
Modified: 2021-06-28 08:35 PDT (History)
10 users (show)

See Also:


Attachments
Patch (18.58 KB, patch)
2021-06-21 08:51 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (18.60 KB, patch)
2021-06-21 16:23 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (18.69 KB, patch)
2021-06-26 17:47 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (18.69 KB, patch)
2021-06-26 17:47 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Weinig 2021-06-21 08:49:12 PDT
Add helpers to create Spans from CFDataRef and NSData
Comment 1 Sam Weinig 2021-06-21 08:51:35 PDT Comment hidden (obsolete)
Comment 2 Sam Weinig 2021-06-21 16:23:53 PDT Comment hidden (obsolete)
Comment 3 Sam Weinig 2021-06-26 17:47:11 PDT Comment hidden (obsolete)
Comment 4 Sam Weinig 2021-06-26 17:47:49 PDT
Created attachment 432341 [details]
Patch
Comment 5 EWS 2021-06-28 08:34:38 PDT
Committed r279339 (239207@main): <https://commits.webkit.org/239207@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 432341 [details].
Comment 6 Radar WebKit Bug Importer 2021-06-28 08:35:18 PDT
<rdar://problem/79865297>